Open Lighting Architecture: ola::plugin::espnet::EspNetDevice Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | Static Public Attributes | Protected Member Functions | List of all members
ola::plugin::espnet::EspNetDevice Class Reference
Inheritance diagram for ola::plugin::espnet::EspNetDevice:

## Public Member Functions
| EspNetDevice (Plugin *owner, class Preferences *prefs, class PluginAdaptor *plugin_adaptor)
std::string | DeviceId () const
| The device ID.
Public Member Functions inherited from ola::Device
| Device (AbstractPlugin *owner, const std::string &name)
const std::string | Name () const
void | SetName (const std::string &name)
AbstractPlugin * | Owner () const
std::string | UniqueId () const
bool | IsEnabled () const
bool | Start ()
bool | Stop ()
bool | AllowLooping () const
bool | AllowMultiPortPatching () const
bool | AddPort (InputPort *port)
bool | AddPort (OutputPort *port)
void | InputPorts (std::vector< InputPort * > *ports) const
void | OutputPorts (std::vector< OutputPort * > *ports) const
InputPort * | GetInputPort (unsigned int port_id) const
OutputPort * | GetOutputPort (unsigned int port_id) const
void | DeleteAllPorts ()
virtual void | Configure (ola::rpc::RpcController *controller, const std::string &request, std::string *response, ConfigureCallback *done)

## Static Public Attributes
static const char | IP_KEY [] = "ip"
static const char | NODE_NAME_KEY [] = "name"

## Protected Member Functions
bool | StartHook ()
| Called during Start().
void | PrePortStop ()
void | PostPortStop ()

## Additional Inherited Members
Public Types inherited from ola::AbstractDevice
typedef BaseCallback0< void > | ConfigureCallback

## Member Function Documentation

## ◆ DeviceId()

std::string ola::plugin::espnet::EspNetDevice::DeviceId | ( |  | ) | const
| inlinevirtual

The device ID.

Returns
  an id which is unique within the plugin,

Implements ola::Device.

## ◆ PostPortStop()

void ola::plugin::espnet::EspNetDevice::PostPortStop | ( |  | ) |
| protectedvirtual

Reimplemented from ola::Device.

## ◆ PrePortStop()

void ola::plugin::espnet::EspNetDevice::PrePortStop | ( |  | ) |
| protectedvirtual

Reimplemented from ola::Device.

## ◆ StartHook()

bool ola::plugin::espnet::EspNetDevice::StartHook | ( |  | ) |
| protectedvirtual

Called during Start().

This allows the subclass to perform device initialization.

Reimplemented from ola::Device.

The documentation for this class was generated from the following files:

- plugins/espnet/EspNetDevice.h
- plugins/espnet/EspNetDevice.cpp